import pygame
# Vieglākai piekļuvei notikumiem
from pygame.locals import (K_UP,K_DOWN,K_LEFT,K_RIGHT,K_ESCAPE,KEYDOWN,QUIT)


# Izveidosim ekrāna izmēra konstantes
SCREEN_WIDTH = 800
SCREEN_HEIGHT = 600
# Izveidosim screen objektu
# Padodam izmērus kā kortežu (vai sarakstu)!
screen = pygame.display.set_mode((SCREEN_WIDTH, SCREEN_HEIGHT))

# Mainīgais, lai kontrolētu cilpu
running = True
# Galvenā cilpa
while running:
    # Apskatām visus notikumus
    for event in pygame.event.get():
        # Vai lietotājs ir nospiedis tastatūras pogu?
        if event.type == KEYDOWN:
            pass
            # Vai šī ir Escape poga?
            if event.key == K_ESCAPE:
                running = False
        # Vai lietotājs ir nospiedis loga aizvēršanas pogu?
        elif event.type == QUIT:
            running = False

    # Izveidojam virsmu un padodam kā argumentu garumu un platumu
    surf = pygame.Surface((50, 50))
    # Iestatām virsmas fona krasu
    surf.fill((255, 25, 0))
    # Var piekļūt arī virsmas Rect, izmantojot .get_rect()
    rect = surf.get_rect()
    surf_center = (
        (SCREEN_WIDTH - surf.get_width()) / 2,
        (SCREEN_HEIGHT - surf.get_height()) / 2
    )
    screen.blit(surf, surf_center)
    pygame.display.flip()

# Apstrādāsim notikumus…
# Kaut kādā brīdī iziesim no cilpas (running = False)
pygame.quit()

pygame.init()